version: '3'
services:
  db:
    image: mysql
    container_name: bookdb
    command: --default-authentication-plugin=mysql_native_password
    restart: always
    ports:
      - 3306:3306
    environment:
      MYSQL_ALLOW_EMPTY_PASSWORD: "yes"
      MYSQL_USER: book
      MYSQL_PASSWORD: book
      MYSQL_DATABASE: book
    volumes:
      - data:/var/lib/mysql

volumes:
  data:

